#!/bin/sh

#
# Changes OpenOffice's default paper size to Letter if the locale is US
#

. /etc/sysconfig/i18n

WHERE="`echo $LANG | cut -d'.' -f1`"

if [ $WHERE = "en_US" ]
then
   for FILE in /usr/lib/openoffice/share/psprint/psprint.conf \
               /usr/lib/OpenOffice/share/psprint/psprint.conf
   do
      if [ -f $FILE ]
      then
          perl -i.ltsp -p -e "s/PPD_PageSize=A4/PPD_PageSize=Letter/ " $FILE
      fi
   done
fi
